SyncSchedule (CMDB Model API)
Keywords: com.collation.platform.model.domain.SyncSchedule interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.domain
Interface SyncSchedule

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SyncSchedule

extends LogicalElement

Represents a schedule for synchronization of data with a discovery domain

Naming Rules:
  0="parent,name"
Persistable:
  true
Table Name:
  SYNCSCHD
Display Name:
  parent,name

Field Summary
`static java.lang.String` | `PERIOD_DAILY`
`static java.lang.String` | `PERIOD_HOURLY`
`static java.lang.String` | `PERIOD_WEEKLY`
`static int` | `SYNC_STATUS_ABORTED_`
`static int` | `SYNC_STATUS_COMPLETE_`
`static int` | `SYNC_STATUS_ERROR_`
`static int` | `SYNC_STATUS_INPROGRESS_`
`static int` | `SYNC_STATUS_SUBMITTED_`
`static int` | `TYPE_LOCK_STEP_WITH_DISCOVERY`
`static int` | `TYPE_ON_DEMAND`
`static int` | `TYPE_SCHEDULED`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getInterval()`
`java.lang.String` | `getName()`
`CMDBDomain` | `getParent()`
`java.lang.String` | `getPeriod()`
`long` | `getStartTime()`
`java.lang.String` | `getSyncLog()`
`int` | `getSyncStatus()`
`int` | `getTypeOfSchedule()`
`boolean` | `hasInterval()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasPeriod()`
`boolean` | `hasStartTime()`
`boolean` | `hasSyncLog()`
`boolean` | `hasSyncStatus()`
`boolean` | `hasTypeOfSchedule()`
`void` | `setInterval(int interval)` the interval for the period, every 2 weeks, 3 weeks etc
`void` | `setName(java.lang.String name)` A name for this synchronization schedule
`void` | `setParent(CMDBDomain domain)` The parent domain this schedule belongs to
`void` | `setPeriod(java.lang.String period)` nightly, weekly, monthly etc
`void` | `setStartTime(long date)` Start time for discovery if type is not lock step with discovery on domain
`void` | `setSyncLog(java.lang.String log)` Synchronization log
`void` | `setSyncStatus(int status)` Synchronization Status
`void` | `setTypeOfSchedule(int type)` Type of Schedule, on demand (Start now), lock step with discovery or time period based

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### TYPE_ON_DEMAND

    static final int TYPE_ON_DEMAND

See Also:
  Constant Field Values

### TYPE_SCHEDULED

    static final int TYPE_SCHEDULED

See Also:
  Constant Field Values

### TYPE_LOCK_STEP_WITH_DISCOVERY

    static final int TYPE_LOCK_STEP_WITH_DISCOVERY

See Also:
  Constant Field Values

### PERIOD_HOURLY

    static final java.lang.String PERIOD_HOURLY

See Also:
  Constant Field Values

### PERIOD_DAILY

    static final java.lang.String PERIOD_DAILY

See Also:
  Constant Field Values

### PERIOD_WEEKLY

    static final java.lang.String PERIOD_WEEKLY

See Also:
  Constant Field Values

### SYNC_STATUS_ERROR_

    static final int SYNC_STATUS_ERROR_

See Also:
  Constant Field Values

### SYNC_STATUS_ABORTED_

    static final int SYNC_STATUS_ABORTED_

See Also:
  Constant Field Values

### SYNC_STATUS_COMPLETE_

    static final int SYNC_STATUS_COMPLETE_

See Also:
  Constant Field Values

### SYNC_STATUS_INPROGRESS_

    static final int SYNC_STATUS_INPROGRESS_

See Also:
  Constant Field Values

### SYNC_STATUS_SUBMITTED_

    static final int SYNC_STATUS_SUBMITTED_

See Also:
  Constant Field Values

Method Detail

### setParent

    void setParent(CMDBDomain domain)

  The parent domain this schedule belongs to

  Parameters:
    `domain` -

### getParent

    CMDBDomain getParent()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasParent

    boolean hasParent()

### setName

    void setName(java.lang.String name)

  A name for this synchronization schedule

  Parameters:
    `name` -

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasName

    boolean hasName()

### setTypeOfSchedule

    void setTypeOfSchedule(int type)

  Type of Schedule, on demand (Start now), lock step with discovery or time period based

  Parameters:
    `type` -

### getTypeOfSchedule

    int getTypeOfSchedule()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasTypeOfSchedule

    boolean hasTypeOfSchedule()

### setStartTime

    void setStartTime(long date)

  Start time for discovery if type is not lock step with discovery on domain

  Parameters:
    `date` -

### getStartTime

    long getStartTime()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasStartTime

    boolean hasStartTime()

### setPeriod

    void setPeriod(java.lang.String period)

  nightly, weekly, monthly etc

  Parameters:
    `period` -

### getPeriod

    java.lang.String getPeriod()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPeriod

    boolean hasPeriod()

### setInterval

    void setInterval(int interval)

  the interval for the period, every 2 weeks, 3 weeks etc

  Parameters:
    `interval` -

### getInterval

    int getInterval()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasInterval

    boolean hasInterval()

### setSyncLog

    void setSyncLog(java.lang.String log)

  Synchronization log

  Parameters:
    `log` -

### getSyncLog

    java.lang.String getSyncLog()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSyncLog

    boolean hasSyncLog()

### setSyncStatus

    void setSyncStatus(int status)

  Synchronization Status

### getSyncStatus

    int getSyncStatus()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSyncStatus

    boolean hasSyncStatus()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD